bug-coreutils
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: new snapshot (rm fixes and new program: mktemp)


From: Bauke Jan Douma
Subject: Re: new snapshot (rm fixes and new program: mktemp)
Date: Mon, 08 Oct 2007 22:24:33 +0200
User-agent: Thunderbird 2.0.0.6 (X11/20070728)

Jim Meyering wrote on 08-10-07 11:05:
In addition to adding mktemp, I've fixed a few low-probability bugs in rm.
This also includes a lot of new code from gnulib, by virtue of coreutils
now requiring the vasprintf-posix module (mostly for non-POSIX systems),
so please give this a work-out if you haven't built a snapshot recently:

    http://meyering.net/cu/coreutils-6.9-ss.tar.gz

Here's my verbose run of make check TESTS=chcon VERBOSE=yes

make  check-TESTS
make[1]: Entering directory `/sources/coreutils-6.9-316-e6f4b/tests/misc'
make[2]: Entering directory `/sources/coreutils-6.9-316-e6f4b/tests/misc'
FAIL: chcon

===========================================
 1 of 1 tests failed
 See tests/misc/test-suite.log
 Please report it to address@hidden
===========================================

============================================================
   GNU coreutils 6.9-316-e6f4b: tests/misc/test-suite.log
============================================================

1 of 1 tests failed.

.. contents:: :depth: 2


FAIL: chcon (exit: 1)
=====================

+ chcon --version
chcon (GNU coreutils) 6.9-316-e6f4b
Copyright (C) 2007 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by Russell Coker and Jim Meyering.
+ . ./../lang-default
++ LC_ALL=C
++ export LC_ALL
++ unset LANGUAGE NLSPATH
++ unset LANG LC_COLLATE LC_CTYPE LC_MESSAGES LC_MONETARY LC_NUMERIC LC_TIME
+ PRIV_CHECK_ARG=require-root
+ . ./../priv-check
++ case "$PRIV_CHECK_ARG" in
++ who='as root'
+++ id -u
++ my_uid=0
++ test 0 = 0
++ case $my_uid in
++ test 0 = 0
++ : nobody
+++ id -u nobody
++ coreutils_non_root_uid=65534
++ test 0 = 0
++ test 65534 = 0
++ give_msg=no
++ case $PRIV_CHECK_ARG:$my_uid in
++ test no = yes
+ . ./../test-lib.sh
++ unset function_test
++ eval 'function_test() { return 11; }; function_test'
+++ function_test
+++ return 11
++ test 11 '!=' 11
+++ pwd
++ test_dir_=/sources/coreutils-6.9-316-e6f4b/tests/misc
+++ this_test_
+++ echo ././chcon
+++ sed 's,.*/,,'
++ this_test=chcon
++ . ./../envvar-check
+++ as_unset=unset
+++ envvar_check_failed=0
+++ vars='
  _POSIX2_VERSION
  BLOCKSIZE
  BLOCK_SIZE
  CDPATH
  COLUMNS
  DF_BLOCK_SIZE
  DU_BLOCK_SIZE
  LS_BLOCK_SIZE
  LS_COLORS
  POSIXLY_CORRECT
  QUOTING_STYLE
  SIMPLE_BACKUP_SUFFIX
  TABSIZE
  TERM
  TIME_STYLE
  TMPDIR
  VERSION_CONTROL
'
+++ for var in '$vars'
+++ unset _POSIX2_VERSION
+++ eval test '"${_POSIX2_VERSION+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset BLOCKSIZE
+++ eval test '"${BLOCKSIZE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset BLOCK_SIZE
+++ eval test '"${BLOCK_SIZE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset CDPATH
+++ eval test '"${CDPATH+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset COLUMNS
+++ eval test '"${COLUMNS+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset DF_BLOCK_SIZE
+++ eval test '"${DF_BLOCK_SIZE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset DU_BLOCK_SIZE
+++ eval test '"${DU_BLOCK_SIZE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset LS_BLOCK_SIZE
+++ eval test '"${LS_BLOCK_SIZE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset LS_COLORS
+++ eval test '"${LS_COLORS+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset POSIXLY_CORRECT
+++ eval test '"${POSIXLY_CORRECT+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset QUOTING_STYLE
+++ eval test '"${QUOTING_STYLE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset SIMPLE_BACKUP_SUFFIX
+++ eval test '"${SIMPLE_BACKUP_SUFFIX+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset TABSIZE
+++ eval test '"${TABSIZE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset TERM
+++ eval test '"${TERM+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset TIME_STYLE
+++ eval test '"${TIME_STYLE+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset TMPDIR
+++ eval test '"${TMPDIR+set}"' = set
++++ test '' = set
+++ for var in '$vars'
+++ unset VERSION_CONTROL
+++ eval test '"${VERSION_CONTROL+set}"' = set
++++ test '' = set
+++ test '' = 1
+++ /sources/coreutils-6.9-316-e6f4b/tests/mkdtemp 
/sources/coreutils-6.9-316-e6f4b/tests/misc cu-chcon.XXXXXXXXXX
++ t_=/sources/coreutils-6.9-316-e6f4b/tests/misc/cu-chcon.aOKg37Xwyv
++ trap 'st=$?; cleanup_; 
d=/sources/coreutils-6.9-316-e6f4b/tests/misc/cu-chcon.aOKg37Xwyv;
    cd /sources/coreutils-6.9-316-e6f4b/tests/misc && chmod -R u+rwx "$d" && rm -rf 
"$d" && exit $st' 0
++ trap '(exit $?); exit $?' 1 2 13 15
++ cd /sources/coreutils-6.9-316-e6f4b/tests/misc/cu-chcon.aOKg37Xwyv
++ diff --version
++ grep GNU
+ mkdir -p d/sub/s2
+ touch f g d/sub/1 d/sub/2
+ fail=0
+ u1=root
+ r1=object_r
+ t1=tmp_t
+ ctx=root:object_r:tmp_t
+ chcon root:object_r:tmp_t f
chcon: invalid context: root:object_r:tmp_t
+ fail=1
+ stat '--printf=f|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ chcon --ref=f g
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=g|%C\n' g
stat: failed to get security context of `g': Operation not supported
+ u2=user_u
+ r2=object_r
+ t2=file_t
+ l2=SystemLow-SystemHigh
+ for i in '--user=$u2' '--role=$r2' '--type=$t2' '--range=$l2'
+ chcon --user=user_u f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|--user=user_u|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ for i in '--user=$u2' '--role=$r2' '--type=$t2' '--range=$l2'
+ chcon --role=object_r f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|--role=object_r|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ for i in '--user=$u2' '--role=$r2' '--type=$t2' '--range=$l2'
+ chcon --type=file_t f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|--type=file_t|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ for i in '--user=$u2' '--role=$r2' '--type=$t2' '--range=$l2'
+ chcon --range=SystemLow-SystemHigh f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|--range=SystemLow-SystemHigh|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ for i in '-u$u1' '-r$r1' '-t$t1'
+ chcon -uroot f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|-uroot|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ for i in '-u$u1' '-r$r1' '-t$t1'
+ chcon -robject_r f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|-robject_r|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ for i in '-u$u1' '-r$r1' '-t$t1'
+ chcon -ttmp_t f
chcon: failed to get security context of `f': Operation not supported
+ fail=1
+ stat '--printf=f|-ttmp_t|%C\n' f
stat: failed to get security context of `f': Operation not supported
+ cat
+ compare out exp
+ diff -u out exp
--- out 2007-10-08 22:15:07.959518399 +0200
+++ exp 2007-10-08 22:15:07.960518247 +0200
@@ -1,9 +1,9 @@
-f|?
-g|?
-f|--user=user_u|?
-f|--role=object_r|?
-f|--type=file_t|?
-f|--range=SystemLow-SystemHigh|?
-f|-uroot|?
-f|-robject_r|?
-f|-ttmp_t|?
+f|root:object_r:tmp_t
+g|root:object_r:tmp_t
+f|--user=user_u|user_u:object_r:tmp_t
+f|--role=object_r|user_u:object_r:tmp_t
+f|--type=file_t|user_u:object_r:file_t
+f|--range=SystemLow-SystemHigh|user_u:object_r:file_t:SystemLow-SystemHigh
+f|-uroot|root:object_r:file_t:SystemLow-SystemHigh
+f|-robject_r|root:object_r:file_t:SystemLow-SystemHigh
+f|-ttmp_t|root:object_r:tmp_t:SystemLow-SystemHigh
+ fail=1
+ exit 1
+ exit 1
+ st=1
+ cleanup_
+ :
+ d=/sources/coreutils-6.9-316-e6f4b/tests/misc/cu-chcon.aOKg37Xwyv
+ cd /sources/coreutils-6.9-316-e6f4b/tests/misc
+ chmod -R u+rwx /sources/coreutils-6.9-316-e6f4b/tests/misc/cu-chcon.aOKg37Xwyv
+ rm -rf /sources/coreutils-6.9-316-e6f4b/tests/misc/cu-chcon.aOKg37Xwyv
+ exit 1
make[2]: *** [test-suite.log] Error 1
make[2]: Leaving directory `/sources/coreutils-6.9-316-e6f4b/tests/misc'
make[1]: *** [check-TESTS] Error 2
make[1]: Leaving directory `/sources/coreutils-6.9-316-e6f4b/tests/misc'
make: *** [check-am] Error 2




reply via email to

[Prev in Thread] Current Thread [Next in Thread]